<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
	'slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);
$wp_customize->add_setting(
	'slider_section_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'slider_section_show_content',
		array(
			'settings'      => 'slider_section_show_content',
			'section'       => 'slider_section',
			'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'No', 'Luzuk' ),
				'off' => __( 'Yes', 'Luzuk' )
			),
		)
	)
);


$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'slider_section_lbl',
		array(
			'settings'		=> 'slider_section_lbl',
			'section'		=> 'slider_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 1500X750', 'Luzuk' ),
		)
	)
);

lzCustomLable($wp_customize, 'luzuk_slideropcity', 'slider_section', 'Slider Overlay');

$wp_customize->add_setting(
    'slider_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'slider_Opacity',
    array(
        'settings'      => 'slider_Opacity',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'slider_olyClr', 'slider_section', 'Overlay Color', '#000');

lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_CirbrdClr', 'slider_section', 'Border Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titleClr', 'slider_section', 'Title Color', '#fff');


lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Arrow Button Color');


addColorPalatOption($wp_customize, 'sli_arowclr', 'slider_section', 'Arrow Color', '#A2A5A5');

addColorPalatOption($wp_customize, 'sli_arowhvclr', 'slider_section', 'Arrow Hover Color', '#76B801');

addColorPalatOption($wp_customize, 'sli_arowbrdclr', 'slider_section', 'Arrow Border Color', '#A2A5A5');


